#
#  Gnome configuration
#
#  flake.nix
#   ├─ ./hosts
#   │   └─ ./laptop
#   │       └─ default.nix
#   └─ ./modules
#       └─ ./desktop
#           └─ ./gnome
#               └─ default.nix *
#
{ config, lib, user, pkgs, ... }:

{

    environment.systemPackages = with pkgs; [
      flatpak
#      rocmPackages.clr.icd
#      rocmPackages.clr
#      clinfo
      kdePackages.discover
      maliit-keyboard
    ];

    services = {
      packagekit.enable = true;
      desktopManager.plasma6.enable = true;
#      xserver = {
#        enable = true;
#        desktopManager.plasma5.enable = true;
#        displayManager = {
#          gdm.wayland = true;
#          gdm.enable = true;
#          gdm.autoLogin.delay = 5;
#          gdm.settings = {
#              security = {
#                  DisallowTCP=true;
#              };
#          };
#          defaultSession = "steam-wayland";
#          autoLogin.enable = true;
#          autoLogin.user = "kabbone";
#        };
#      };
      flatpak.enable = true;
      udev.packages = with pkgs; [ gnome-settings-daemon ];
    };

    qt.platformTheme = "kde";
}
